import { Column, Entity, ManyToOne, PrimaryGeneratedColumn } from "typeorm";
import { inspection } from "./inspection";
import { inspectionPoint } from "./inspectionPoint";
import { inspectionVersionedPlan } from "./inspectionVersionedPlan";

@Entity()
export class inspectionPointResult {
  @PrimaryGeneratedColumn("uuid")
  id: string;

  @Column({ type: "text" })
  value: string;

  @ManyToOne(() => inspection)
  inspection: inspection;

  @ManyToOne(() => inspectionPoint)
  inspectionPoint: inspectionPoint;
}
